/**
 * Copyright 2019 DH
 * All right reserved.
 * 项目名称: 大恒泰山系统
 * 创建日期:2023/10/31
 */
package org.ts.ddcs.metadata.sw.jpz;

/*** 
 * Date:2023/10/31
 * Title: 水文气象元数据定义-柬埔寨
 * Description：对本文件的详细描述，原则上不能少于30字
 * @author dylan
 * @version 1.0
 * Remark：认为有必要的其他信息
 */
public enum SwJpzWeatherMetadataEnum {
    /**
     * 接收时间
     */
    METADATA_FROM_TIME("FROM_TIME", "fromTime"),

    /**
     * 采集时间
     */
    METADATA_COLLECT_TIME("TT", "tm"),

    /**
     * 测站编码
     */
    METADATA_RTU_CODE("ST", "stcd"),
    /**
     * 站类型
     */
    METADATA_ST("ST", "st"),

    /**
     * 5 分钟时段降水量
     */
    METADATA_PN_05("PN05", "pn05"),
    /**
     * 降水量累计值
     */
    METADATA_PT("PT", "pt"),
    /**
     * 瞬时气温
     */
    METADATA_AI("AI", "ai"),
    /**
     * 湿度
     */
    METADATA_MST("MST", "mst"),
    /**
     * PM2.5
     */
    METADATA_PM_25("EXT_PM", "pm"),
    /**
     * 气压
     */
    METADATA_FL("FL", "fl"),
    /**
     * 风速
     */
    METADATA_US("US", "us"),
    /**
     * 风向
     */
    METADATA_UC("UC", "uc"),
    /**
     * 紫外线
     */
    METADATA_UV("EXT_UV", "uv"),
    /**
     * 太阳总辐射
     */
    METADATA_RAD("EXT_RAD", "rad"),
    /**
     * 二氧化氮
     */
    METADATA_ND("EXT_ND", "nd");

    private String code;

    private String name;

    SwJpzWeatherMetadataEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 根据CODE查名称
     *
     * @param code
     * @return
     */
    public static String getName(String code) {
        for (SwJpzWeatherMetadataEnum point : SwJpzWeatherMetadataEnum.values()) {
            if (code.equals(point.getCode())) {
                return point.getName();
            }
        }
        return "";
    }

    /**
     * 根据名称查代码
     *
     * @param name
     * @return
     */
    public static String getCode(String name) {
        for (SwJpzWeatherMetadataEnum point : SwJpzWeatherMetadataEnum.values()) {
            if (name.equals(point.getName())) {
                return point.getCode();
            }
        }
        return "";
    }
}
